
Redmine - Feature #34700

Allow to use watch_by filter in the global issues list

2021-02-09 19:12 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

In #8160, we introduced the ability to filter by specific watchers (rather than just "me"). However, due to the permission check inside

the Query#watcher_values method, this capability was only available inside a project. In the global issues view, the filter still only

offered "me".

The attached patch against current trunk (r20742) fixes this behavior to also offer all visible watchers on the global issues view. The

patch is a git patch which can be applied with

patch -p1 < 0001-Allow-to-use-watch_by-filter-in-the-global-issues-li.patch

Related issues:

Related to Redmine - Feature #8160: Extend watched_by_me-issue filter to incl... Closed

Associated revisions

Revision 20744 - 2021-02-11 07:48 - Go MAEDA

Allow to use watch_by filter in the global issues list (#34700).

Patch by Holger Just.

History

#1 - 2021-02-10 00:28 - Go MAEDA

- Related to Feature #8160: Extend watched_by_me-issue filter to include all project-members instead of only <<me>>-substitution added

#2 - 2021-02-10 00:33 - Go MAEDA

- Target version set to 4.1.2

Setting the target version to 4.1.2.

#3 - 2021-02-11 07:48 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#4 - 2021-02-11 13:26 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.1.2 to 4.2.0

#5 - 2021-03-28 01:04 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

#6 - 2021-06-04 07:34 - Nipun Tharuka

Can you kindly tell me how to do a patch to redmine. I'm using Redmine on Bitnami.
https://www.redmine.org/issues/8160
https://www.redmine.org/projects/redmine/repository/svn/revisions/20742


Files

0001-Allow-to-use-watch_by-filter-in-the-global-issues-li.patch 2.12 KB 2021-02-09 Holger Just
